Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.EntrySet

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.bidimap.AbstractDualBidiMap.View
              org.apache.commons.collections.bidimap.AbstractDualBidiMap.EntrySet

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

Enclosing class:
  AbstractDualBidiMap

    protected static class AbstractDualBidiMap.EntrySet

extends AbstractDualBidiMap.View
implements java.util.Set

Inner class EntrySet.

Field Summary

Fields inherited from class org.apache.commons.collections.bidimap.AbstractDualBidiMap.View
`parent`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` | `AbstractDualBidiMap.EntrySet(AbstractDualBidiMap parent)` Constructs a new view of the BidiMap.

Method Summary
`java.util.Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object obj)`

Methods inherited from class org.apache.commons.collections.bidimap.AbstractDualBidiMap.View
`clear, removeAll, retainAll`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, contains, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractDualBidiMap.EntrySet

    protected AbstractDualBidiMap.EntrySet(AbstractDualBidiMap parent)

  Constructs a new view of the BidiMap.

  Parameters:
    `parent` - the parent BidiMap

Method Detail

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### remove

    public boolean remove(java.lang.Object obj)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.Set`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.